
Redmine - Defect #653

cvs repository doesn't work if port is used

2008-02-13 12:44 - Iñaki Ibarrola Atxa

Status: Closed Start date: 2008-02-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

When the url includes the port of the cvs server (example: :pserver:user:pasword@192.168.7.112:2401/home/cvs) cvs_adapter.rb

does not parse the log correctly. The problem is in the following regular expression:

 if /^RCS file: #{Regexp.escape(root_url.gsub(/^:.*@[^:]+:/, ''))}\/#{Regexp.escape(path_with_proj

ect)}(.+),v$/ =~ line

Associated revisions

Revision 1156 - 2008-02-16 19:09 - Jean-Philippe Lang

Fixed: CVS repository doesn't work if port is used in the url (#653).

Added functional tests for CVS adapter.

History

#1 - 2008-02-16 19:09 - Jean-Philippe Lang

- Subject changed from cvs reposotory doesn't work if port is used to cvs repository doesn't work if port is used

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r1156. Thanks for pointing out the problem.
